So let me get this straight...

Discussion in 'Jailbreaks and iOS Hacks' started by RudyGrow, Jul 18, 2010.

  1. RudyGrow macrumors regular

    Joined:
    Dec 12, 2009
    #1
    As of right now, I currently have a iPhone 3Gs that was with AT&T and I want to bring it to Telus, in Canada. I need an unlock for this with Ultrasn0w, correct?

    To get the unlock, I need to jailbreak it. Since I was retarded and upgraded my firmware to 4.0.1 (05.13.04 baseband), there is no possible way for me to jailbreak this iPhone at the moment?

    Sorry if I'm the bajillionth person to post something like this, but I really just need a straight answer...
     
  2. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #2
    Yup, pretty much.
     
  3. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #3
    Yes, Yes and Yes.

    You have to wait.
     
  4. RudyGrow thread starter macrumors regular

    Joined:
    Dec 12, 2009
    #4
    Thats what I figured. Thanks for the straight answers; its exactly what I needed.
     
  5. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #5
    can I just say thank you for not saying you accidentally upgraded! at least you were honest. :D
     
  6. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #6
    I know, Im getting sick of all these damn accidents:D
    You click yes on itunes and select download and install, sit there and download the whole firmware IPSW, install it and click ok and accept a few more times and its accidental?
     
  7. RudyGrow thread starter macrumors regular

    Joined:
    Dec 12, 2009
    #7
    Lol; honesty is the best policy.

    As a side note, do you guys think that the 4.0 jailbreak will work with 4.0.1 or will I have to wait another few months for that?
     
  8. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #8
    My guess is it will work but dont quote me.
    Since it didnt update the baseband or anything else but the signal bar formula I dont think it will be a problem.
     
  9. RudyGrow thread starter macrumors regular

    Joined:
    Dec 12, 2009
    #9
    Awesome :p !
     
  10. mKTank macrumors 68000

    mKTank

    Joined:
    Jul 2, 2010
    #11
    It won't work. But there's a long and tedious process involving iRecovery, Mobile Terminal, ISPW editing, SSHing, and etc. that makes it possible to downgrade to literally anything. That is, if you saved your SHSH with saurik's servers. And only if you have the older bootrom.

    If you really think you're up to it, and you have the required phone, then PM me or something and I'll walk you through it. I did it on two iPhones running 4.0. Jailbreak is awesome on this firmware, what with the quick app switching.
     

Share This Page